﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LearnChart
{
    public partial class PolarBar : Form
    {
        public PolarBar()
        {
            InitializeComponent();
        }

        private void PolarBar_Load(object sender, EventArgs e)
        {
            InitializePolarChart(ref tChart1);
            InitializePolarSeries(ref polarBar1);
            polarBar1.DblClick += new MouseEventHandler(polarBar1_DblClick);
            polarBar1.Active = true;
            polarBar1.Add(10,10,"Test1");
            polarBar1.Add(20,20,"Test2");
        }

        private void polarBar1_DblClick(object sender, MouseEventArgs e)
        {
            MessageBox.Show("Double Clicked.");
        }

        private void InitializePolarChart(ref Steema.TeeChart.TChart tChart1)
        {
            tChart1.Aspect.Elevation = 315;
            tChart1.Aspect.Orthogonal = false;
            tChart1.Aspect.Perspective = 0;
            tChart1.Aspect.Rotation = 360;
            tChart1.Aspect.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
            tChart1.Aspect.TextRenderingHint = System.Drawing.Text.TextRenderingHint.ClearTypeGridFit;
            tChart1.Aspect.View3D = false;

            // 
            // tChart1.Panel.Gradient
            // 
            tChart1.Panel.Brush.Gradient.Direction = System.Drawing.Drawing2D.LinearGradientMode.ForwardDiagonal;
            tChart1.Panel.Brush.Gradient.Sigma = true;
            tChart1.Panel.Brush.Gradient.SigmaFocus = 0.553F;
            tChart1.Panel.Brush.Gradient.StartColor = System.Drawing.Color.FromArgb(((System.Byte)(254)), ((System.Byte)(224)), ((System.Byte)(224)), ((System.Byte)(224)));
            tChart1.Panel.Brush.Gradient.Visible = true;
            // 
            // tChart1.Panel.Gradient
            // 
            tChart1.Panel.Gradient.Direction = System.Drawing.Drawing2D.LinearGradientMode.ForwardDiagonal;
            tChart1.Panel.Gradient.Sigma = true;
            tChart1.Panel.Gradient.SigmaFocus = 0.553F;
            tChart1.Panel.Gradient.StartColor = System.Drawing.Color.FromArgb(((System.Byte)(254)), ((System.Byte)(224)), ((System.Byte)(224)), ((System.Byte)(224)));
            tChart1.Panel.Gradient.Visible = true;

            tChart1.Axes.Left.Visible = true;
            tChart1.Axes.Bottom.Visible = false;
            tChart1.Axes.Top.Visible = false;
            tChart1.Axes.Right.Visible = true;

            tChart1.Axes.Left.Automatic = false;
            tChart1.Axes.Left.SetMinMax(0, 100);
            tChart1.Axes.Left.Increment = 10;

            //tChart1.Axes.Bottom.Automatic = false;
            //tChart1.Axes.Bottom.SetMinMax(0, 100);

            //tChart1.Axes.Top.Automatic = false;
            //tChart1.Axes.Top.SetMinMax(0, 100);

            tChart1.Axes.Right.Automatic = false;
            tChart1.Axes.Right.SetMinMax(0, 100);
            tChart1.Axes.Right.Increment = 10;

            tChart1.Legend.Visible = false;

        }

        private void InitializePolarSeries(ref Steema.TeeChart.Styles.PolarBar polarSeries)
        {
            polarSeries.Marks.Visible = true;
            polarSeries.CloseCircle = true;
            polarSeries.CircleLabelsFont.Shadow.Visible = false;
            polarSeries.CircleLabelsRotated = true;
            polarSeries.ClockWiseLabels = true;
            polarSeries.ColorEach = true;

            polarSeries.CircleLabelsFont.Shadow.Visible = false;
            polarSeries.CircleLabelsRotated = true;
            polarSeries.ClockWiseLabels = true;
            polarSeries.ColorEach = true;
            // 
            // polarBar1.Font
            // 
            // 
            // polarBar1.Font.Shadow
            // 
            polarSeries.Font.Shadow.Visible = false;
            // 
            // polarBar1.Marks
            // 
            // 
            // polarBar1.Marks.Callout
            // 
            polarSeries.Marks.Callout.Arrow = polarSeries.Marks.Arrow;
            polarSeries.Marks.Callout.ArrowHead = Steema.TeeChart.Styles.ArrowHeadStyles.None;
            polarSeries.Marks.Callout.ArrowHeadSize = 8;
            // 
            // polarBar1.Marks.Callout.Brush
            // 
            polarSeries.Marks.Callout.Brush.Color = System.Drawing.Color.Black;
            polarSeries.Marks.Callout.Distance = 0;
            polarSeries.Marks.Callout.Draw3D = false;
            polarSeries.Marks.Callout.Length = 10;
            polarSeries.Marks.Callout.Style = Steema.TeeChart.Styles.PointerStyles.Rectangle;
            // 
            // polarBar1.Marks.Font
            // 
            // 
            // polarBar1.Marks.Font.Shadow
            // 
            polarSeries.Marks.Font.Shadow.Visible = false;
            // 
            // polarBar1.Pen
            //            
            polarSeries.Pen.Transparency = 100;
            // 
            // polarBar1.Pointer
            // 
            polarSeries.Pointer.Style = Steema.TeeChart.Styles.PointerStyles.Circle;
            polarSeries.Pointer.HorizSize = 9;
            polarSeries.Pointer.VertSize = 9;
            polarSeries.Pointer.Visible = true;
            polarSeries.Title = "polarBar1";
            // 
            // polarBar1.XValues
            // 
            polarSeries.XValues.DataMember = "Angle";
            polarSeries.XValues.Order = Steema.TeeChart.Styles.ValueListOrder.Ascending;
            // 
            // polarBar1.YValues
            // 
            polarSeries.YValues.DataMember = "Y";

            polarSeries.RotationAngle = 20;

            polarSeries.Brush.Color = System.Drawing.Color.Red;
            polarSeries.CircleLabels = true;
            polarSeries.ColorEach = false;
            polarSeries.Circled = true;

            //polarSeries.Click += new MouseEventHandler(polarChart_Click);
            //polarSeries.DblClick += new MouseEventHandler(polarSeries_DblClick);

        }
    }
}
